summaryrefslogtreecommitdiff
path: root/debian/tests/upstream.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/upstream.sh')
-rwxr-xr-xdebian/tests/upstream.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/debian/tests/upstream.sh b/debian/tests/upstream.sh
new file mode 100755
index 0000000..419d9a6
--- /dev/null
+++ b/debian/tests/upstream.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+set -u
+
+testdir=test
+cp -R $testdir $AUTOPKGTEST_TMP
+cd $AUTOPKGTEST_TMP
+
+for py3ver in $(py3versions -vs)
+do
+ echo "Running tests with Python ${py3ver}."
+ /usr/bin/python${py3ver} -B -m pytest $testdir
+ rm -rf .pytest_cache
+ echo "**********"
+done